# Interface Workspace<C>

#### Type Parameters

- #### C extends Meta.Collections

#### Hierarchy

- Workspace

- Defined in packages/db/src/meta/data.ts:16

#####
Index

### Methods

add
all
find
get
remove
update

## Methods

### add

- add<N>(collectionName, input): Promise<MutationPayload<C, N>>

- #### Type Parameters

  - #### N extends string

  #### Parameters

  - ##### collectionName: N

  - ##### input: MutationInput<C, N>

  #### Returns Promise<MutationPayload<C, N>>

  - Defined in packages/db/src/meta/data.ts:31

### all

- all<N>(collectionName): Promise<Meta.SavedInput<C, N>[]>

- #### Type Parameters

  - #### N extends string

  #### Parameters

  - ##### collectionName: N

  #### Returns Promise<Meta.SavedInput<C, N>[]>

  - Defined in packages/db/src/meta/data.ts:17

### find

- find<N>(collectionName, options): Promise<(undefined | Meta.SavedInput<C, N>)[]>

- #### Type Parameters

  - #### N extends string

  #### Parameters

  - ##### collectionName: N

  - ##### options: FindRequest<{}> | (undefined | Meta.IdObject<C, N, CollectionProperty<"resource", C, N> | Meta.SavedInput<C, N>>)[]

  #### Returns Promise<(undefined | Meta.SavedInput<C, N>)[]>

  - Defined in packages/db/src/meta/data.ts:21

### get

- get<N>(collectionName, id): Promise<undefined | Meta.SavedInput<C, N>>

- #### Type Parameters

  - #### N extends string

  #### Parameters

  - ##### collectionName: N

  - ##### id: undefined | string

  #### Returns Promise<undefined | Meta.SavedInput<C, N>>

  - Defined in packages/db/src/meta/data.ts:26

### remove

- remove<M>(collectionName, input): Promise<void>

- #### Type Parameters

  - #### M extends string

  #### Parameters

  - ##### collectionName: M

  - ##### input: MutationInput<C, M>

  #### Returns Promise<void>

  - Defined in packages/db/src/meta/data.ts:41

### update

- update<M>(collectionName, input): Promise<MutationPayload<C, M>>

- #### Type Parameters

  - #### M extends string

  #### Parameters

  - ##### collectionName: M

  - ##### input: MutationInput<C, M>

  #### Returns Promise<MutationPayload<C, M>>

  - Defined in packages/db/src/meta/data.ts:36

Generated using TypeDoc